Download it now!
Bug 129346 - CRASH: sd::SdUnoSlideView::getCurrentPage()
Summary: CRASH: sd::SdUnoSlideView::getCurrentPage()
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6....
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-12 16:27 UTC by Xisco Faulí
Modified: 2020-04-01 17:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["sd::SdUnoSlideView::getCurrentPage()","SdrPage::GetPageNum()","SdDrawDocument::MovePages(unsigned short)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-12 16:27:53 UTC
Steps to reproduce:
1. Open Impress
2. View - Slide Sorter
3. Slide - New Slide
4. Ctrl - Z -> No slide is selected
5. Click on the 'Animation' button in the sidebar

-> Crash

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: 4a8d3b80283cec4a93dd697eab70afcb82f04f4f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Xisco Faulí 2019-12-12 16:31:04 UTC
Also crashes under the following steps:

1. Open Impress
2. View - Slide Sorter
3. Slide - New Slide
4. Ctrl - Z -> No slide is selected
5. Click on the 'Animation' button in the sidebar
6. Select 'Default' in master slide in the sidebar
Comment 2 Xisco Faulí 2019-12-12 16:33:17 UTC
I do believe the main problem is no slide is selected after Ctrl + Z, it wouldn't crash if a slide were selected

@Caolán, I thought you might be interested in this issue...
Comment 3 Xisco Faulí 2019-12-12 16:41:36 UTC
Also crashes under the following steps:

1. Open Impress
2. View - Slide Sorter
3. Slide - New Slide
4. Ctrl - Z -> No slide is selected
5. Shift + Ctrl + Up ( Slide - Move - Slide Up )

Crash: http://crashreport.libreoffice.org/stats/crash_details/9777af3b-a601-4717-aeba-b9a1eb8574c5
Comment 4 MM 2019-12-12 18:49:31 UTC
Confirmed on windows 10 x64 with Version: 6.3.4.2 (x64)
Build ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU threads: 12; OS: Windows 10.0; UI render: default; VCL: win

crashreport.libreoffice.org/stats/crash_details/9d5f3db5-08df-4830-982b-bf917ac7768c
Comment 5 Commit Notification 2019-12-13 13:36:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/13dfaa3c3704a5a963f9e1e5d45796472f43c80e

Resolves: tdf#129346 if nothing currently selected, select something

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-12-13 17:31:22 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: a54b3e8b8b7bf063117eaed19a590ce6c8a14e07
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Commit Notification 2019-12-13 18:25:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/5f7987cef5133d7207b09c0c523289bff06f6241

Resolves: tdf#129346 if nothing currently selected, select something

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2019-12-14 19:33:47 UTC
fixed in master and 6-4, backport to 6-3 in gerrit
Comment 9 Xisco Faulí 2019-12-16 11:15:31 UTC
I do confirm all 3 cases reported are fixed in

Version: 6.5.0.0.alpha0+
Build ID: 3e33a11d8a553a99bd5f23940a65c301924198fb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 10 Commit Notification 2019-12-16 11:17:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/63c5b6114b9a29dc691818f96b0f695ceaa2c693

Resolves: tdf#129346 if nothing currently selected, select something

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-02-10 19:46:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/50d9dbedc475069e1bb0b2788f814b8103c165c3

tdf#129346 only select first page fallback if seting to current page failed

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-02-11 14:18:06 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c86f1981c9a6f24d5c33c5eede2cd15ce6f29e3

tdf#129346: Add UItest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-04-01 17:15:34 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6922748ceab390f69d0e5fbb2335c0adda4c89c6

tdf#129346: move UItest to CppunitTest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.